Subject: bug#41743: gst123

From: Marius Bakke <[email-masked]>
Date: Sat, 25 Jul 2020 16:59:30 +0200

Kyle Andrews <[email-masked]> writes:

> Marius Bakke writes:
>
>> Kyle Andrews <[email-masked]> writes:
>>
>>> Tobias Geerinckx-Rice writes:
>>>
>>>> Kyle,
>>>>
>>>> Kyle Andrews 写道：
>>>>> I tried adding all the gst packages I could think of to the
>>>>> environment,
>>>>> but it still did not work. Here is what I ran:
>>>>>
>>>>> guix environment gst-plugins-base gst-plugins-bad gst-plugins-good
>>>>> gst-plugins-ugly gst123 -- gst123 "/path/to/music-file.mp3"
>>>>
>>>> Use ‘guix environment --ad-hoc’.  The command above doesn't add any of
>>>> the packages to the environment, only their build dependencies.
>>>>
>>>> I forgot about gst-plugins-base, maybe it suffices.
>>>>
>>>> Kind regards,
>>>>
>>>> T G-R
>>>
>>> Thanks for the tip. Unfortunately, I still see the error:
>>>
>>> Error: Your GStreamer installation is missing a plug-in.
>>> => file cannot be played and will be removed from playlist
>>>
>>> after running:
>>>
>>> guix environment --ad-hoc gst-plugins-base gst-plugins-good
>>> gst-plugins-bad gst-plugins-ugly gst123 -- gst123
>>> ~/path/to/music-file.mp3
>>
>> You also need 'gstreamer' in the environment to get the
>> GST_PLUGIN_SYSTEM_PATH variable, so that the plugins are actually
>> found.  A long-standing bug in Guix.  :-/
>

> I still get the error with:
>
> guix environment gstreamer gst-plugins-base gst-plugins-bad gst-plugins-good gst-plugins-ugly gst123 -- gst123 '/path/to/file.mp3'
>
> Following Leo's advice, I also ran:
>
> guix environment strace gstreamer gst-plugins-base gst-plugins-bad
> gst-plugins-good gst-plugins-ugly gst123 -- strace -f gst123
> '/path/to/file.mp3'

I think you forgot to add '--ad-hoc' here, unless it was a copy-paste error?